Name:		perl-PPIx-QuoteLike
Version:	0.005
Release:	1%{?dist}
Summary:	Parse Perl string literals and string-literal-like things
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/PPIx-QuoteLike
Source0:	https://cpan.metacpan.org/authors/id/W/WY/WYANT/PPIx-QuoteLike-%{version}.tar.gz
BuildArch:	noarch
# ----------------------------------------------------------------------------
# Module build requirements
# ----------------------------------------------------------------------------
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(lib)
# ----------------------------------------------------------------------------
# Module requirements
# ----------------------------------------------------------------------------
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Encode)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(PPI::Document) >= 1.117
BuildRequires:	perl(PPI::Dumper) >= 1.117
BuildRequires:	perl(re)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# ----------------------------------------------------------------------------
# Regular test suite requirements
# ----------------------------------------------------------------------------
BuildRequires:	perl(Test::More) >= 0.88
# ----------------------------------------------------------------------------
# Dependencies
# ----------------------------------------------------------------------------
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Optional functionality
BuildRequires:	perl(PPIx::Regexp)
Requires:	perl(PPIx::Regexp)

%description
This Perl class parses Perl string literals and things that are reasonably like
string literals. Its real reason for being is to find interpolated variables
for Perl::Critic policies and similar code.

%prep
%setup -q -n PPIx-QuoteLike-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license LICENSES/*
%else
%doc LICENSES/
%endif
%doc Changes eg/ README
%{perl_vendorlib}/PPIx/
%{_mandir}/man3/PPIx::QuoteLike*.3*

%changelog
* Fri Jun  1 2018 Paul Howarth <paul@city-fan.org> - 0.005-1
- Initial RPM version
